%define prefix /usr
%define name MyConverter
%define version 2.7
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	MyConverter a right click audio converter
Summary(de):	MyConverter ist ein Rechtsklick Audio Konverter
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	zenity, ffmpeg
Obsoletes:	%name < %version

%description
MyConverter is a right click audio converter. 
Click on a audio file with the right mouse button.
Based on zenity, and ffmpeg.

Splitting from PCLinuxOS-FLV-Player Version 2.0

#german
%description -l de
MyConverter ist ein Rechtsklick Audio Konverter. 
Klicken Sie mit der rechten Maustaste auf eine Audiodatei.
Basierend auf Zenity und FFMPEG.

Abgespaltet vom PCLinuxOS-FLV-Player Version 2.0

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 myconverter %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0755 myconverter.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

mkdir -p %{buildroot}/%{_iconsdir}
install -m 644 myconvert.png %{buildroot}%{_iconsdir}/

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/myconverter.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/myconverter-de_DE.po



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/myconverter
%{_datadir}/applications/myconverter.desktop
%{_iconsdir}/myconvert.png
%{_datadir}/locale/*/LC_MESSAGES/myconverter.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Apr 06 2020 daniel <meisssw01 at gmail.com> 2.7-1pclos2020
- add function to check if a file created

* Fri Nov 16 2018 daniel <meisssw01 at gmail.com> 2.6-1pclos2018
- add more mp3 profile

* Sun Oct 23 2011 leiche <meisssw01 at gmail.com> 2.5-2leiche2011
- rebuild for new ffmpeg

* Wed Aug 31 2011 leiche <meisssw01 at gmail.com> 2.5-1leiche2011
- split converter from pclinuxos-flv-player v 2.0, 
  as right click menu
   
